"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "MetadataTree", {
    enumerable: true,
    get: function() {
        return MetadataTree;
    }
});
const _react = /*#__PURE__*/ _interop_require_default(require("react"));
const _basic = require("./generate/basic");
const _alternate = require("./generate/alternate");
const _opengraph = require("./generate/opengraph");
const _icons = require("./generate/icons");
const _resolvemetadata = require("./resolve-metadata");
function _interop_require_default(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
async function MetadataTree({ metadata , pathname  }) {
    const options = {
        pathname
    };
    const resolved = await (0, _resolvemetadata.accumulateMetadata)(metadata, options);
    return /*#__PURE__*/ _react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/ _react.default.createElement(_basic.BasicMetadata, {
        metadata: resolved
    }), /*#__PURE__*/ _react.default.createElement(_alternate.AlternatesMetadata, {
        alternates: resolved.alternates
    }), /*#__PURE__*/ _react.default.createElement(_basic.ItunesMeta, {
        itunes: resolved.itunes
    }), /*#__PURE__*/ _react.default.createElement(_basic.FormatDetectionMeta, {
        formatDetection: resolved.formatDetection
    }), /*#__PURE__*/ _react.default.createElement(_basic.VerificationMeta, {
        verification: resolved.verification
    }), /*#__PURE__*/ _react.default.createElement(_basic.AppleWebAppMeta, {
        appleWebApp: resolved.appleWebApp
    }), /*#__PURE__*/ _react.default.createElement(_opengraph.OpenGraphMetadata, {
        openGraph: resolved.openGraph
    }), /*#__PURE__*/ _react.default.createElement(_opengraph.TwitterMetadata, {
        twitter: resolved.twitter
    }), /*#__PURE__*/ _react.default.createElement(_opengraph.AppLinksMeta, {
        appLinks: resolved.appLinks
    }), /*#__PURE__*/ _react.default.createElement(_icons.IconsMetadata, {
        icons: resolved.icons
    }));
}

//# sourceMappingURL=metadata.js.map